diff --git a/src/backend/executor/tqueue.c b/src/backend/executor/tqueue.c
index 7699d98..efb3901 100644
--- a/src/backend/executor/tqueue.c
+++ b/src/backend/executor/tqueue.c
@@ -656,9 +656,12 @@ TupleQueueRemap(TupleQueueReader *reader, RemapClass remapclass, Datum value)
 
 		case TQUEUE_REMAP_RECORD:
 			return TupleQueueRemapRecord(reader, value);
-	}
 
-	elog(ERROR, "unknown remap class: %d", (int) remapclass);
+		default:
+			/* shouldn't happen */
+			elog(ERROR, "unknown remap class: %d", (int) remapclass);
+			PG_RETURN_DATUM(0);
+	}
 }
 
 /*
